Appearance
Upload a bill document
POST
/api/v1/bills/{uniqueReferenceIdentifier}/document
Upload a document for a bill. If the bill exists, the document is linked to it. Accepted formats: PDF, JPEG, PNG.
Authorizations
bearerAuth
Type
HTTP (bearer)
Parameters
Header Parameters
x-region*
Mandatory routing header to direct the request to the appropriate regional products
Type
Requiredstring
Valid values
"EU""IN""US""UK"Path Parameters
uniqueReferenceIdentifier*
The unique tenant reference identifier of the bill to attach the document to.
Type
Requiredstring
Example
"BILL-2024-00122"Min Length
3Max Length
90Pattern
"^[-_a-zA-Z0-9]+$"Request Body
multipart/form-data
mimeType
string
Required
MIME type of the uploaded document. Accepted values: application/pdf, image/jpeg, image/png.
Valid values
"application/pdf""image/jpeg""image/png"fileBody
string
Required
Document content in binary format, submitted as multipart/form-data.
Format
"binary"Responses
Bill document uploaded and linked to the bill. Document is not returned in the response.
Response Headers
Deprecation
Indicates deprecation (boolean)
Typestring
Exampletrue
Sunset
Sunset date in HTTP-date format [ISO 8601]. Example: `2024-03-24T03:14:15Z`.
Typestring (date-time)
Example2024-03-24T03:14:15Z
POST
/api/v1/bills/{uniqueReferenceIdentifier}/document